### Type parameters

- #### T

### Hierarchy

- AsyncIterator<T>
  - AsyncIterableIterator

## Index

### Methods

- [asyncIterator]
- next
- return
- throw

## Methods

### [asyncIterator]

- [asyncIterator](): AsyncIterableIterator<T>

- #### Returns AsyncIterableIterator<T>

### next

- next(...args: [] | [undefined]): Promise<IteratorResult<T, any>>

- Inherited from AsyncIterator.next

  #### Parameters

  - ##### Rest ...args: [] | [undefined]

  #### Returns Promise<IteratorResult<T, any>>

### Optional return

- return(value?: any): Promise<IteratorResult<T, any>>

- Inherited from AsyncIterator.return

  #### Parameters

  - ##### Optional value: any

  #### Returns Promise<IteratorResult<T, any>>

### Optional throw

- throw(e?: any): Promise<IteratorResult<T, any>>

- Inherited from AsyncIterator.throw

  #### Parameters

  - ##### Optional e: any

  #### Returns Promise<IteratorResult<T, any>>

Generated using TypeDoc